Generation Framework

## org.eclipse.gmf.gmfgraph
Interface RealFigure

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, ScalablePolygon, Shape, SVGFigure

All Known Implementing Classes:
  CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RealFigureImpl, RectangleImpl, RoundedRectangleImpl, ScalablePolygonImpl, ShapeImpl, SVGFigureImpl

    public interface RealFigure

extends AbstractFigure

A representation of the model object 'Real Figure'. This is exact/specific/concrete figure, unlike proxy/reference-nature FigureRef

The following features are supported:

- `Name`
- `Children`

See Also:
  `GMFGraphPackage.getRealFigure()`
** Generated **
Model:
  abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<Figure>` `getChildren()` Returns the value of the 'Children' containment reference list.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGraphPackage.getRealFigure_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getChildren

    org.eclipse.emf.common.util.EList<Figure> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `Figure`.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `GMFGraphPackage.getRealFigure_Children()`
  ** Generated **
  Model:
    containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.